Bug 141605 - Run Project (etc.) do not work w/o selection even when just one project is open
Run Project (etc.) do not work w/o selection even when just one project is open
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Generic Projects UI
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Milan Kubec
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-24 19:53 UTC by Jesse Glick
Modified: 2009-10-29 00:47 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2008-07-24 19:53:56 UTC
If you start the IDE and then open a project and press F6, nothing happens - you need to select the project first. Since
there can be no ambiguity in this case about which project to run, it should be run. I.e. search order should be

1. Main project, if set.

2. Project associated with selection, if any.

3. [added] Open project, if exactly one.
Comment 1 Milan Kubec 2008-11-05 08:34:07 UTC
Fixed.

http://hg.netbeans.org/core-main/rev/4e7f6df10678
Comment 2 Quality Engineering 2008-11-05 17:04:04 UTC
Integrated into 'main-golden', will be available in build *200811051401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4e7f6df10678
User: Milan Kubec <mkubec@netbeans.org>
Log: #141605: iff only one project opened then use it for project specific actions
Comment 3 Tomas Danek 2008-12-10 14:41:45 UTC
verified in 20081208
Comment 4 Quality Engineering 2009-10-29 00:47:02 UTC
Integrated into 'main-golden', will be available in build *200910281401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/37d339c1912c
User: Jesse Glick <jglick@netbeans.org>
Log: Clarified Javadoc to describe how main project actions actually work now. (#139019, #141605,. #147962)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo